/**********************************************************************
 
	Copyright (C) 2003-2005
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomohito Nakajima <nakajima@zeta.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#define STREAM_LIB
#include "openssl/bio.h"
#include "ossl.h"
BIO *s_bio_new(STREAM *st)
{
	er_panic("s_bio_new not implemented.");
	return NULL;
	
	/*
	if(st->h.tbl->type != 'f'){
		er_panic("only ssl over socket supported");
	}
	return BIO_new_fd(st->file.fid, BIO_CLOSE);
	*/
}
